package com.xixun.xixunplayer;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.os.Environment;
import android.view.View;

public class BackView extends View {

    public Bitmap img, cosImg;
    public int width, height;

    public BackView(Context context, int width, int height) {
        super(context);
        img = BitmapFactory.decodeResource(context.getResources(), R.drawable.back);
        cosImg = BitmapFactory.decodeFile(Environment.getExternalStorageDirectory() + "/XixunPlayer/background");
        this.width = width;
        this.height = height;
    }

    @Override
    protected void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        if(cosImg!=null) canvas.drawBitmap(cosImg, new Rect(0, 0, cosImg.getWidth(), cosImg.getHeight()), new Rect(0, 0, width, height), null);
        else if(img!=null) for(int y=0; y<height; y+=img.getHeight()) for(int x=0; x<width; x+=img.getWidth()) canvas.drawBitmap(img, x, y, null);
    }
}
